<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSettingBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d15/class_expansion_setting_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSettingBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionSettingBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d15/class_expansion_setting_base.png" usemap="#ExpansionSettingBase_map" alt=""/>
  <map id="ExpansionSettingBase_map" name="ExpansionSettingBase_map">
<area href="../../d7/dda/class_expansion_damage_system_settings.html" title="Vehicle settings class." alt="ExpansionDamageSystemSettings" shape="rect" coords="215,56,420,80"/>
<area href="../../dc/dce/class_expansion_debug_settings.html" title="Vehicle settings class." alt="ExpansionDebugSettings" shape="rect" coords="215,112,420,136"/>
<area href="../../d4/d28/class_expansion_log_settings.html" title="Log settings class." alt="ExpansionLogSettings" shape="rect" coords="215,168,420,192"/>
<area href="../../d9/dec/class_expansion_monitoring_settings.html" title="Vehicle settings class." alt="ExpansionMonitoringSettings" shape="rect" coords="215,224,420,248"/>
<area href="../../d3/dcc/class_expansion_notification_settings.html" title="Notification settings class." alt="ExpansionNotificationSettings" shape="rect" coords="215,280,420,304"/>
<area href="../../d0/d9a/class_expansion_notification_settings_base.html" title="Map settings base class." alt="ExpansionNotificationSettingsBase" shape="rect" coords="215,336,420,360"/>
<area href="../../d4/d06/class_expansion_safe_zone_settings_base.html" title="Safezone settings base class." alt="ExpansionSafeZoneSettingsBase" shape="rect" coords="215,392,420,416"/>
<area href="../../d4/d06/class_expansion_safe_zone_settings_base.html" title="Safezone settings base class." alt="ExpansionSafeZoneSettingsBase" shape="rect" coords="215,448,420,472"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa28659549a4963b743ed612f9de65d9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#aa28659549a4963b743ed612f9de65d9d">ExpansionSettingBase</a> ()</td></tr>
<tr class="separator:aa28659549a4963b743ed612f9de65d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae41ef9e6e0e5f8dca61c980be077583a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#ae41ef9e6e0e5f8dca61c980be077583a">~ExpansionSettingBase</a> ()</td></tr>
<tr class="separator:ae41ef9e6e0e5f8dca61c980be077583a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb05e5dc646314b2f581553e9bda8ff3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#acb05e5dc646314b2f581553e9bda8ff3">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:acb05e5dc646314b2f581553e9bda8ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aed999982996895d90e70bff87271d3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a2aed999982996895d90e70bff87271d3">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a2aed999982996895d90e70bff87271d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2413220815a302a199400eb0a0188d7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#aa2413220815a302a199400eb0a0188d7">Load</a> ()</td></tr>
<tr class="separator:aa2413220815a302a199400eb0a0188d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aed6bd52d610b59d7b94e3cd081a83b"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a3aed6bd52d610b59d7b94e3cd081a83b">OnLoad</a> ()</td></tr>
<tr class="separator:a3aed6bd52d610b59d7b94e3cd081a83b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af567e9cd8575d3e8619e78bc19b6b653"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#af567e9cd8575d3e8619e78bc19b6b653">Unload</a> ()</td></tr>
<tr class="separator:af567e9cd8575d3e8619e78bc19b6b653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61d8e1b05f7a562841a0e9f037f80b51"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a61d8e1b05f7a562841a0e9f037f80b51">Save</a> ()</td></tr>
<tr class="separator:a61d8e1b05f7a562841a0e9f037f80b51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af60828b24959acd49f10e7f0e2d334ba"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#af60828b24959acd49f10e7f0e2d334ba">OnSave</a> ()</td></tr>
<tr class="separator:af60828b24959acd49f10e7f0e2d334ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d3ac80f7dc4f5577bb1651bc7153a25"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a9d3ac80f7dc4f5577bb1651bc7153a25">Defaults</a> ()</td></tr>
<tr class="separator:a9d3ac80f7dc4f5577bb1651bc7153a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d356fb5e72b05b84c90400345d88286"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a8d356fb5e72b05b84c90400345d88286">IsLoaded</a> ()</td></tr>
<tr class="separator:a8d356fb5e72b05b84c90400345d88286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94a078402154b55ebee796629776ecfe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a94a078402154b55ebee796629776ecfe">Copy</a> (<a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a94a078402154b55ebee796629776ecfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd43d06c0590d6179f6f668ddfc6195b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#afd43d06c0590d6179f6f668ddfc6195b">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:afd43d06c0590d6179f6f668ddfc6195b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a519b6582560bae19163bc592942f8556"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a519b6582560bae19163bc592942f8556">Update</a> (<a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:a519b6582560bae19163bc592942f8556"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b8e2387d7a0c23ca9eb8b50a6d3f529"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a5b8e2387d7a0c23ca9eb8b50a6d3f529">SettingName</a> ()</td></tr>
<tr class="separator:a5b8e2387d7a0c23ca9eb8b50a6d3f529"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a7aaa39a85a70d59a3773bfed3a55923f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#a7aaa39a85a70d59a3773bfed3a55923f">MoveSettings</a> (string srcPath, string dstPath, string ext=&quot;&quot;)</td></tr>
<tr class="separator:a7aaa39a85a70d59a3773bfed3a55923f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad541ae0da305802229fdbe9e5cf0cc0d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d15/class_expansion_setting_base.html#ad541ae0da305802229fdbe9e5cf0cc0d">m_Version</a></td></tr>
<tr class="separator:ad541ae0da305802229fdbe9e5cf0cc0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../de/df1/expansionsettingbase_8c.html">ExpansionSettingBase.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00013">13</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa28659549a4963b743ed612f9de65d9d" name="aa28659549a4963b743ed612f9de65d9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa28659549a4963b743ed612f9de65d9d">&#9670;&#160;</a></span>ExpansionSettingBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingBase::ExpansionSettingBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00017">17</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="ae41ef9e6e0e5f8dca61c980be077583a" name="ae41ef9e6e0e5f8dca61c980be077583a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae41ef9e6e0e5f8dca61c980be077583a">&#9670;&#160;</a></span>~ExpansionSettingBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingBase::~ExpansionSettingBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00021">21</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a94a078402154b55ebee796629776ecfe" name="a94a078402154b55ebee796629776ecfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94a078402154b55ebee796629776ecfe">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSettingBase::Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00096">96</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a9d3ac80f7dc4f5577bb1651bc7153a25" name="a9d3ac80f7dc4f5577bb1651bc7153a25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d3ac80f7dc4f5577bb1651bc7153a25">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingBase::Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00085">85</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a8d356fb5e72b05b84c90400345d88286" name="a8d356fb5e72b05b84c90400345d88286"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d356fb5e72b05b84c90400345d88286">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSettingBase::IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00090">90</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="aa2413220815a302a199400eb0a0188d7" name="aa2413220815a302a199400eb0a0188d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2413220815a302a199400eb0a0188d7">&#9670;&#160;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSettingBase::Load </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00037">37</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a7aaa39a85a70d59a3773bfed3a55923f" name="a7aaa39a85a70d59a3773bfed3a55923f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7aaa39a85a70d59a3773bfed3a55923f">&#9670;&#160;</a></span>MoveSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool ExpansionSettingBase::MoveSettings </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>srcPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dstPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>ext</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>if moving a directory, make sure paths end with "\\" </dd></dl>
<p >Use original src path for info line</p>
<p >It's a directory. Strip trailing backslash and go again</p>

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00130">130</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a3aed6bd52d610b59d7b94e3cd081a83b" name="a3aed6bd52d610b59d7b94e3cd081a83b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aed6bd52d610b59d7b94e3cd081a83b">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionSettingBase::OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00048">48</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="acb05e5dc646314b2f581553e9bda8ff3" name="acb05e5dc646314b2f581553e9bda8ff3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb05e5dc646314b2f581553e9bda8ff3">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSettingBase::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00025">25</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="af60828b24959acd49f10e7f0e2d334ba" name="af60828b24959acd49f10e7f0e2d334ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af60828b24959acd49f10e7f0e2d334ba">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionSettingBase::OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00079">79</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a2aed999982996895d90e70bff87271d3" name="a2aed999982996895d90e70bff87271d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aed999982996895d90e70bff87271d3">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingBase::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00032">32</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a61d8e1b05f7a562841a0e9f037f80b51" name="a61d8e1b05f7a562841a0e9f037f80b51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61d8e1b05f7a562841a0e9f037f80b51">&#9670;&#160;</a></span>Save()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSettingBase::Save </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00059">59</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="afd43d06c0590d6179f6f668ddfc6195b" name="afd43d06c0590d6179f6f668ddfc6195b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd43d06c0590d6179f6f668ddfc6195b">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSettingBase::Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00102">102</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a5b8e2387d7a0c23ca9eb8b50a6d3f529" name="a5b8e2387d7a0c23ca9eb8b50a6d3f529"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b8e2387d7a0c23ca9eb8b50a6d3f529">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string ExpansionSettingBase::SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00124">124</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="af567e9cd8575d3e8619e78bc19b6b653" name="af567e9cd8575d3e8619e78bc19b6b653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af567e9cd8575d3e8619e78bc19b6b653">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingBase::Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00054">54</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<a id="a519b6582560bae19163bc592942f8556" name="a519b6582560bae19163bc592942f8556"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a519b6582560bae19163bc592942f8556">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingBase::Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00108">108</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad541ae0da305802229fdbe9e5cf0cc0d" name="ad541ae0da305802229fdbe9e5cf0cc0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad541ae0da305802229fdbe9e5cf0cc0d">&#9670;&#160;</a></span>m_Version</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSettingBase::m_Version</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html#l00015">15</a> of file <a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/<a class="el" href="../../de/df1/expansionsettingbase_8c_source.html">expansionsettingbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d15/class_expansion_setting_base.html">ExpansionSettingBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
